# mongoc_gridfs_find()

## Deprecated

This function is deprecated, use mongoc_gridfs_find_with_opts() instead.

## Synopsis

    mongoc_gridfs_file_list_t *
    mongoc_gridfs_find (mongoc_gridfs_t *gridfs,
                        const bson_t *query) BSON_GNUC_WARN_UNUSED_RESULT
       BSON_GNUC_DEPRECATED_FOR (mongoc_gridfs_find_with_opts);

## Parameters

- `gridfs`: A mongoc_gridfs_t.

- `query`: A `bson_t`.

## Description

Finds all gridfs files matching `query`. You can iterate the matched gridfs files with the resulting file list.

This function is considered a retryable read operation. Upon a transient error (a network error, errors due to replica set failover, etc.) the operation is safely retried once. If `retryreads` is false in the URI (see mongoc_uri_t) the retry behavior does not apply.

## Returns

A newly allocated mongoc_gridfs_file_list_t that should be freed with mongoc_gridfs_file_list_destroy() when no longer in use.